Downgrading a PSP for the first time

Discussion in 'PSP - Hacking & Homebrew' started by jimmy j, Jul 7, 2007.

Jul 7, 2007
  1. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    A friend asked me to have a crack at downgrading her PSP. I've flashed DS phat before, and I used to softmod a lot of xbox consoles, but I've never done PSP.

    What tools/software will I need? (I want darkalex fw installed)
    How do I check the current firmware version? (its a pink PSP, she thinks its 2.80)
    What emulators should I get? (we want MAME, genesis, gba, SNES, N64, neo geo, xbox360* & ps1)

    *j/k [​IMG]




    A step-by-step would be most appreciated, my thanks in advance [​IMG]
     


  2. chuckstudios

    Member chuckstudios Putting the pro in procrastination

    Joined:
    Jul 19, 2006
    Messages:
    896
    Location:
    North Carolina, USA
    Country:
    United States
    To check firmware, you go to Settings -> System Settings -> System Information

    How you're going to get it to 3.40 OE-A depends on what version it is in that menu.
     
  3. Nenyana

    Newcomer Nenyana Advanced Member

    Joined:
    Sep 10, 2005
    Messages:
    64
    Country:
    To check the firmware version go to System Settings and then System information. To downgrade you will need an old (unpatched) copy of GTA Liberty City Stories or Lumines UMD. Without either of these you will not be able to downgrade.

    If you have firmware at 3.03 or below you can use the GTA downgrader but if your firmware is higher than this then you will need Lumines (after upgrading to 3.50 if required).

    It all depends on what firmware version you have and Motherboard type but I do think the 3.50 downgrader that uses Lumines is the easiest and it detects your Motherboard type too (used that downgrader 3-4 times with 100 success).
     
  4. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    I'll check it out and get back to you
     
  5. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    Would I be able to use Lumines with firmware below 3.03?
     
  6. AshuraZro

    Member AshuraZro Belongs in a museum.

    Joined:
    Feb 21, 2004
    Messages:
    2,409
    Location:
    Stoney Creek, ON
    Country:
    Canada
    Let's not forget that anything that is 2.80 or less can be downgraded without any games I believe. 2.71 and below for sure without the need for an exploitable game.
     
  7. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    So the easiest method (whatever fw it has) is to upgrade to 3.50, then use the lumines exploit and the 3.50 downgrader that Nenyana mentioned?
     
  8. AshuraZro

    Member AshuraZro Belongs in a museum.

    Joined:
    Feb 21, 2004
    Messages:
    2,409
    Location:
    Stoney Creek, ON
    Country:
    Canada
    If it's above 2.71 and you have a copy of lumines within your grasp, then yes. I'd move to 3.50 (NOT 3.51) and downgrade from that point.
     
  9. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    I think I understand (somebody please correct me if I'm wrong)

    1. Download 3.50 firmware [from un-named site]
    2. Put HEN 3.50 downgrader plus the recommended 1.50 patcher on the memorystick (I've got the instructions for this)
    3. Run Lumines and follow downgrader instructions

    That will leave me with a downgraded 1.50 PSP, right? Then I can upgrade to the latest dark alex firmware? Which version should I use?
     
  10. lenselijer

    Member lenselijer GBAtemp Maniac

    Joined:
    Mar 27, 2006
    Messages:
    1,497
    Country:
    Netherlands
    1. update psp to fw 3.50
    2. get the downgrader files + 1.50 eboot and put them in the correct folders on the memorystick.
    3. double check that all files are in the right folders on your memorystick.
    4. boot lumines, press start when the menu appears and you will be booted back to the xmb.
    5. check the system settings and it should say: 3.50 HEN
    6. now goto game --> memorystick and start the downgrader.
    7. press x to confirm and wait till its done, the psp will reboot and you're at 1.50
    8. now install custom firmware 3.40oe-a and start playing [​IMG]
     
  11. [M]artin

    Member [M]artin .

    Joined:
    Nov 7, 2006
    Messages:
    3,658
    Country:
    United States
    Have IRC? Then head over to #psp-hacks on irc.dashhacks.com

    There's ALWAYS someone there and they'll help you downgrade and upgrade to any version without any trouble (plus they have links to special programs that'll help you install them i.e. Easy Installers)

    Now I have a question, when you guys say a copy of LCS or Lumines for those later firmware versions, does it have to be an actual physical UMD or can it be an ISO?
     
  12. Nenyana

    Newcomer Nenyana Advanced Member

    Joined:
    Sep 10, 2005
    Messages:
    64
    Country:

    It has to be a physical UMD. No official firmware can load ISO's and if it could then it would mean that you already had kernel access so wouldn't be attempting a downgrade in the first place.
     
  13. chuckstudios

    Member chuckstudios Putting the pro in procrastination

    Joined:
    Jul 19, 2006
    Messages:
    896
    Location:
    North Carolina, USA
    Country:
    United States
    Heh. Can't 3.5x load ISOs? [​IMG]
     
  14. deathfisaro

    Member deathfisaro Narcistic Deathfisaro Fan

    Joined:
    Mar 16, 2007
    Messages:
    2,053
    Location:
    Vancouver, BC
    Country:
    Canada
    People found an ISO loader in them but no, you won't be able to run ISOs on official 3.5x AFAIK.
     
  15. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    Excellent! [​IMG]
     
  16. 4saken

    Member 4saken Retired Ace Attorney

    Joined:
    Nov 28, 2006
    Messages:
    3,358
    Country:
    Australia
    Can't you just upgrade to 3.03 and use GTA LCS? Or did they somehow stop this.
     
  17. jimmy j
    OP

    Member jimmy j Awesome for hire.

    Joined:
    Apr 22, 2007
    Messages:
    894
    Location:
    the congo
    Country:
    United Kingdom
    You can still do it, but sony patched later versions of GTA to stop the exploit. You just need an unpatched copy.
     
  18. licker2

    Newcomer licker2 Newbie

    Joined:
    Jul 8, 2007
    Messages:
    1
    Country:
    United States

    He was kidding >_>

    EDIT
    Or was he [​IMG]
     
  19. 4saken

    Member 4saken Retired Ace Attorney

    Joined:
    Nov 28, 2006
    Messages:
    3,358
    Country:
    Australia
    I guess, which would make Lumines easier and cheaper to find
     
  20. nycwii

    Newcomer nycwii Advanced Member

    Joined:
    Jun 12, 2007
    Messages:
    81
    Country:
    United States
    if you are going to downgrade make sure its a lumines original or greatist hits.

    the + platinum, and 2 versions will not work. also since the downgrader has come out the difficulty of finding one of these originals have increase 10 fold. i would reccomend picking 1 up asap
     

Share This Page